/**
 * @since 1.0.0
 */
import type { CodeDeployClientConfig } from "@aws-sdk/client-codedeploy";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
declare const CodeDeployClientInstanceConfig_base: Context.TagClass<CodeDeployClientInstanceConfig, "@effect-aws/client-codedeploy/CodeDeployClientInstanceConfig", CodeDeployClientConfig>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class CodeDeployClientInstanceConfig extends CodeDeployClientInstanceConfig_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDefaultCodeDeployClientInstanceConfig: Effect.Effect<CodeDeployClientConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultCodeDeployClientConfigLayer: Layer.Layer<CodeDeployClientInstanceConfig, never, never>;
export {};
